Subject: Re: [PATCH V2] lib/vsprintf.c: Add "%pI6c" - print pointer as compressed ipv6 address

From: Jens Rosenboom <[email-masked]>
Date: Tue, 18 Aug 2009 15:48:56 +0200

On Mon, 2009-08-17 at 15:29 -0700, Joe Perches wrote:
> On Mon, 2009-08-17 at 17:18 +0200, Jens Rosenboom wrote: 
[...]
> > Also I'm wondering whether it makes sense to pull the format code
> > checking into all the sub-routines. 
> 
> It isn't clear to me what you're asking for.
> 
> > It might be easier to maintain if it 
> > is all kept together in pointer().
> 
> Can you explain more thoroughly please?
> 
> If you mean not passing const char *fmt to the sub-routines,
> I think not doing so makes it harder to maintain and extend.
> 
> I think it will be useful to extend the 'S' resource_string
> capability to use fmt to allow specific bits to be selected
> of the resource identifier to be printed.
> 
> See the idea in:  http://lkml.org/lkml/2009/4/17/105

You were right in assuming the intention of my seemingly badly explained
comments, but in this context I agree with you, that it makes sense the
way you did it.

> Here's the modified patch with your suggestions:
> 

Ran it through my test-cases and they all look fine.

Tested-by: Jens Rosenboom <[email-masked]>